Skip to main content
POST
New gift card service
This endpoint requires the gift-card-services.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for activating a gift card service.

gift_card_service_definition_id
string
required

The ID of the gift card service to use.

Required string length: 1 - 50
Example:

"qwikcilver-gift-card"

display_name
string
required

A custom name for the service. This will be shown in the Admin UI.

Required string length: 1 - 50
Example:

"Qwikcilver UK"

fields
object[]
required

A list of fields, each containing a key-value pair for each field defined by the definition for this gift card service.

active
boolean
default:true

Defines if this service is currently active or not.

Example:

true

Response

Returns the created gift card service.

An configured gift card service.

type
enum<string>

The type of this resource.

Available options:
gift-card-service
Example:

"gift-card-service"

id
string<uuid>

The ID of this gift card service.

Example:

"6c020bf3-179b-4f4f-858d-84e39e196e0f"

merchant_account_id
string

The unique ID for a merchant account.

Example:

"default"

gift_card_service_definition_id
string

The ID of the gift card service definition used to create this service.

Required string length: 1 - 50
Example:

"qwikcilver-gift-card"

display_name
string

The custom name set for this service.

Required string length: 1 - 200
Example:

"Qwikcilver UK"

active
boolean

Defines if this service is currently active or not.

Example:

true

fields
object[]

A list of fields, each containing a key-value pair for each field configured for this gift card service. Fields marked as secret are not returned.

created_at
string<date-time>

The date and time when this service was created.

Example:

"2012-12-12T10:53:43+00:00"

updated_at
string<date-time>

The date and time when this service was last updated.

Example:

"2012-12-12T10:53:43+00:00"